/businesses/{business_id}

Retrieve detailed information for a specific business by os id, place id, or google id, with optional enrichments. Returns a complete business profile including basic information…

↗ Open in API Explorer
GET

Get Business Details

Retrieve detailed information for a specific business by os_id, place_id, or google_id, with optional enrichments.

Returns a complete business profile including basic information plus any requested enrichment data such as contacts, emails, phone numbers, company insights, email verification, and more.

Ideal for enriching existing records in your database or getting comprehensive data about a specific business.

Request

Endpoint: GET https://api.outscraper.com/businesses/{business_id}

Parameters

NameInTypeRequiredDescriptionExampleConstraints
business_id path string Yes Business identifier (os_id, place_id, or google_id). 0x808fbae5987442ef:0xa822d31a98c92c62 -
fields query string No List of fields to include in the response. - -

Responses

200

application/json

The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.

{}

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

402

application/json

Past due invoices or a payment method not connected.

{
  "error": true,
  "errorMessage": "Please close past due invoices or verify your card information is correct."
}

422

application/json

Wrong query url parameters.

{
  "error": true,
  "errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}

Related Endpoints